Subject: Re: [BUG][PPC32] Preemption patch for 2.4 Kernels

From: Eugene Surovegin <[email-masked]>
Date: Thu, 7 Oct 2004 10:34:49 -0700

On Thu, Oct 07, 2004 at 03:29:12PM +0200, Gerhard Jaeger wrote:
> maybe the 2.4 series is somewhat outdatet, but nevertheless used in
> several embedded systems and also with your preemption patches.
> During some investigations, we found out that the patches found on 
> http://www.kernel.org/pub/linux/kernel/people/rml/preempt-kernel/
> contain a severe bug, when using the patches on PPC systems. 

Yes, it's a known problem with rml preempt patches - DON'T USE THEM 
on PPC. I sent him similar patch _two_ years ago - nothing happened.
MVL tree is IMHO better place to get preempt stuff for 2.4 - it's 
actually tested and works.

Also, I wish -embedded archives were online, this problem was 
discussed there around a year ago as well.

--
Eugene